Bug 965622 - User can't assign different quota to vm disk, if he is not quota consumer of quota which is currently assigned to vm disk.
User can't assign different quota to vm disk, if he is not quota consumer of ...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.2.0
Unspecified Unspecified
unspecified Severity high
: ---
: 3.3.0
Assigned To: Doron Fediuck
Ondra Machacek
sla
:
Depends On:
Blocks: 1019461
  Show dependency treegraph
 
Reported: 2013-05-21 08:21 EDT by Ondra Machacek
Modified: 2016-02-10 15:13 EST (History)
8 users (show)

See Also:
Fixed In Version: is7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: SLA
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
engine.log (15.31 KB, text/plain)
2013-05-21 08:21 EDT, Ondra Machacek
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 17024 None None None Never

  None (edit)
Description Ondra Machacek 2013-05-21 08:21:44 EDT
Created attachment 751095 [details]
engine.log

Description of problem:
If there is a vm with disk which has assigned some quota and the user is not
consumer of this quota. Then this user can't reassing the quota of vm disk,
even if he try to assigne quota of which he is consumer. Doesn't work in
enforcing mode.

Version-Release number of selected component (if applicable):
sf17

How reproducible:
always

Steps to Reproduce:
1. Set DC to enforce mode.
2. Create quota_1 and quota_2.
3. Add user1 and add him UserVmManager role on DC and add him as consumer of quota_1.
4. Create vm in DC with disk, assign to vm and disk quota_2.
5. Login as user1 and try to change vm disk quota from quota_2 to quota_1.

Actual results:
Error while executing action:
vm:
    User is not authorized to perform this action.

Expected results:
Quota is changed successfully.

Additional info:
When user is also quota consumer on quota_1 then the reassign of quotas works
fine.
Comment 1 Ondra Machacek 2013-09-03 06:43:57 EDT
Verified is12.
User can now release quota which he is not consumer of and assign quota
which he is consumer of.
Comment 3 Itamar Heim 2014-01-21 17:32:50 EST
Closing - RHEV 3.3 Released
Comment 4 Itamar Heim 2014-01-21 17:32:52 EST
Closing - RHEV 3.3 Released

Note You need to log in before you can comment on or make changes to this bug.